<?php

$page_title = "Graphing and Reporting";
$page_color = "blue";
main();

function main() {

  @mysql_connect('localhost','relaydelay-fe','FrontEnd!');
  $err = mysql_error();
  if($err) {
    header("HTTP/1.0 500 Application Error");
    print "Error: ".$err."\n";
    exit;
  }
  mysql_select_db('relaydelay');

  switch($_REQUEST[action]) {
    case 'index':
      index();
      break;

    case 'browse_collection':
      browse_collection($_REQUEST[collection]);
      break;

    case 'view_collection':
      view_collection($_REQUEST[collection],$_REQUEST[image]);
      break;

    default:
      index();
      break;
  }
}

function index() {
  global $page_title;
  global $page_color;

  include("header.inc");

  $imgdir = dirname(__FILE__)."/rrdimages";
  $dir = opendir($imgdir);
  print "<H2>Available Graph Collections:</H2>\n";
  while (false !== ($file = readdir($dir))) { 
     if($file == "." || $file == "..") { continue; };
     print "<H4><A HREF=\"./rdgraph.php?action=browse_collection&collection=$file\">$file</A></H4>\n";
  }
  closedir($dir);

  print "<H2>Report:</H2>\n";
  readfile("rdstats.html");

  include("footer.inc");
  exit;
}

function browse_collection($collection) {
  global $page_title;
  global $page_color;
  include("header.inc");

  $images = Array();
  $imgdir = dirname(__FILE__)."/rrdimages";
  $dir = opendir($imgdir."/".$collection);
  while (false !== ($file = readdir($dir))) {
     if($file == "." || $file == "..") { continue; };
     $comp = explode("_",$file);
     $images[$comp[0]] = 1;
  }
  closedir($dir);
 
  print "<H2>Graphs:</H2>\n";
  foreach(array_keys($images) as $image) {
    print "<A HREF=\"./rdgraph.php?action=view_collection&collection=$collection&image=$image\"><IMG BORDER=\"0\" SRC=\"./rrdimages/$collection/".$image."_now-4hours.png\"></A><BR><BR>\n";
  }

  include("footer.inc");
  exit;
}

function view_collection($collection,$image) {
  global $page_title;
  global $page_color;

  $colimgpath = "./rrdimages/".$collection."/".$image."_";
  include("header.inc");

?>
<TABLE BGCOLOR=<?php print($tbl_bg); ?> CELLSPACING=1 CELLPADDING=8 WIDTH=90%>
  <TR BGCOLOR=<?php print($tbl_th); ?>>
    <TD ALIGN=CENTER>
        <p><img src="<?php print($colimgpath)?>now-4hours.png" name="Primary" id="Primary" /></p>
        <table width="90%" border="0" cellpadding="2" align="center">
          <tr align="center" valign="middle">
            <td>4 Hour<br />
              <img src="<?php print($colimgpath)?>now-4hours.png" width="200" height="95" onclick="MM_swapImage('Primary','','<?php print($colimgpath)?>now-4hours.png',1)" /></td>
            <td>24 Hour<br />
              <img src="<?php print($colimgpath)?>now-24hours.png" width="200" height="95" onclick="MM_swapImage('Primary','','<?php print($colimgpath)?>now-24hours.png',1)" /></td>
            <td>7 Day<br />
              <img src="<?php print($colimgpath)?>now-7days.png" width="200" height="95" onclick="MM_swapImage('Primary','','<?php print($colimgpath)?>now-7days.png',1)" /></td>
          </tr>
          <tr align="center" valign="middle">
            <td>4 Week<br />
              <img src="<?php print($colimgpath)?>now-4weeks.png" width="200" height="95" onclick="MM_swapImage('Primary','','<?php print($colimgpath)?>now-4weeks.png',1)" /></td>

            <td>Click Graph to See Full Size Version<br />
              <span>(page will refresh every 60 seconds)</span></td>
            <td>12 Month<br />
              <img src="<?php print($colimgpath)?>now-12months.png" width="200" height="95" onclick="MM_swapImage('Primary','','<?php print($colimgpath)?>now-12months.png',1)" /></td>
          </tr>
        </table>
    </TD>
  </TR>
</TABLE>


<?php
  include("footer.inc");
  exit;
}

?>
